import { createApp } from 'vue'
import App from './App.vue'
import router, { initRoutes } from './router'
import './style/index.scss'
import 'virtual:svg-icons-register' // 【svg-icons相关】
import initComponent from '@/plugins/initComponent'
import initProperties from '@/plugins/initProperties'
import initDirectives from '@/plugins/initDirectives'
import 'default-passive-events'
import './browerPatch'
import { createPinia } from 'pinia'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import { Quasar, Notify } from 'quasar'
import quasarZHCN from 'quasar/lang/zh-CN'
// Import icon libraries
import '@quasar/extras/material-icons/material-icons.css'
// Import Quasar css
import 'quasar/src/css/index.sass'
import '@fortawesome/fontawesome-free/css/all.css'
import './style/tailwind.css'
const app = createApp(App)
app.use(initDirectives)
app.use(createPinia())
await initProperties(app)
initComponent(app)
// await initRoutes()
app.use(router)
app.use(ElementPlus as any)
app.use(Quasar, {
  plugins: {
    Notify,
  }, // import Quasar plugins and add here
  config: {
    brand: {
      primary: 'var(--czr-main-color)',
    },
  },
  lang: quasarZHCN,
})
app.mount('#app')
// 设置为 true 以在浏览器开发工具的 performance/timeline 面板中启用对组件初始化、编译、渲染和更新的性能追踪。
app.config.performance = true
